Name:		newsx
Version:	1.6
Release:	15%{?dist}
License:	GPLv2+
Summary:	NNTP news exchange utility
Summary(pl):	Narzędzie do wymiany newsów po NNTP
Group:		Applications/Internet
Source0:	ftp://ftp.tin.org/pub/news/utils/newsx/%{name}-%{version}.tar.gz
# Source0-md5:	ad9c76c53d5c7d21d86bec805fe8cd34
Patch0:		%{name}-make.patch
Patch1:		%{name}-stack.patch
Patch2:		%{name}-quotes.patch
BuildRequires:	inn-devel
BuildRequires:	automake
BuildRequires:	autoconf
Requires:	inn
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Newsx is an NNTP client that will connect to a remote NNTP server and
post outgoing news articles batched by the news system (e.g. INN), as
well as fetch incoming articles.

%description -l pl
Newsx jest klientem NNTP który łączy się ze zdalnym serwerem i wysyła
wychodzące artykuły zgromadzone przez system newsów (np. INN) oraz
pobiera przychodzące artykuły.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .stack
%patch2 -p1 -b .quotes

%build
autoreconf -f -i
%configure \
	--with-inhosts=/var/spool/news/inhosts \
	--with-newsconfig=/usr/lib/news/lib/innshellvars \
	--with-newslib=%{_libdir}/news/lib \

%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# avoid conflict with leafnode
pushd $RPM_BUILD_ROOT
mv .%{_bindir}/newsq .%{_bindir}/newsx-newsq
mv .%{_mandir}/man1/newsq.1 .%{_mandir}/man1/newsx-newsq.1
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING FAQ NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(770,root,news) %dir /var/spool/news/inhosts
%{_mandir}/man[158]/*

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 14 2009 Dominik Mierzejewski <rpm@greysector.net> 1.6-13
- changed source URL to tin.org

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jul 29 2008 Dominik Mierzejewski <rpm@greysector.net> 1.6-10
- recognize single quotes (fixes bug #455806, patch by Enrico Scholz)

* Sat Jul 12 2008 Dominik Mierzejewski <rpm@greysector.net> 1.6-9
- fixed stack buffer overflow in getarticle.c (#454483)
- rebuilt against INN shared libraries (#454897)
- fixed build on rawhide

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.6-8
- Autorebuild for GCC 4.3

* Mon Aug 27 2007 Dominik Mierzejewski <rpm@greysector.net> 1.6-7
- rebuild for BuildID
- update license tag

* Sat Oct 14 2006 Dominik Mierzejewski <rpm@greysector.net> 1.6-6
- rename newsq to avoid conflict with leafnode
- simplify autotools invocation

* Sun Oct 01 2006 Dominik Mierzejewski <rpm@greysector.net> 1.6-5
- fix build on devel

* Fri Jul 27 2006 Dominik Mierzejewski <rpm@greysector.net> 1.6-3
- remove unnecessary Provides: tag

* Sun Apr 02 2006 Dominik Mierzejewski <rpm@greysector.net> 1.6-2
- fix BuildReqs

* Sat Jan 07 2006 Dominik Mierzejewski <rpm@greysector.net> 1.6-1
- FE compliance

* Sun Sep 25 2005 Dominik Mierzejewski <rpm@greysector.net>
- rebuilt for Fedora based on PLD specfile
